com.io7m.jstructural.annotated

## Class SAParagraphNumberSSP

- java.lang.Object
- - com.io7m.jstructural.annotated.SAParagraphNumber
  - - com.io7m.jstructural.annotated.SAParagraphNumberSSP

- All Implemented Interfaces:
    SASubsectionContentNumber, Comparable<SAParagraphNumber>

      @Immutable
      public final class SAParagraphNumberSSP
      extends SAParagraphNumber

  A paragraph number consisting of a section, subsection, and paragraph.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAParagraphNumberSSP(int in_section, int in_subsection, int in_paragraph)` Construct a new paragraph number

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SAParagraphNumber o)`
    `boolean` | `equals(Object obj)`
    `int` | `getParagraph()`
    `int` | `getSection()`
    `int` | `getSubsection()`
    `int` | `hashCode()`
    `<T> T` | `paragraphNumberAccept(SAParagraphNumberVisitor<T> v)` Accept a paragraph number visitor.
    `String` | `paragraphNumberFormat()`
    `String` | `toString()`

    - ### Methods inherited from class com.io7m.jstructural.annotated.SAParagraphNumber

      `subsectionContentNumberAccept`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SAParagraphNumberSSP

          public SAParagraphNumberSSP(int in_section,
                                      int in_subsection,
                                      int in_paragraph)

      Construct a new paragraph number
      Parameters:
        `in_section` - The section number
        `in_subsection` - The subsection number
        `in_paragraph` - The paragraph number

  - ### Method Detail

    - #### compareTo

          public int compareTo(@Nullable
                               SAParagraphNumber o)

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getParagraph

          public int getParagraph()

      Specified by:
        `getParagraph` in class `SAParagraphNumber`
      Returns:
        The paragraph number

    - #### getSection

          public int getSection()

      Returns:
        The section number

    - #### getSubsection

          public int getSubsection()

      Returns:
        The subsection number

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### paragraphNumberAccept

          public <T> T paragraphNumberAccept(SAParagraphNumberVisitor<T> v)
                                      throws Exception

      Description copied from class: `SAParagraphNumber`
      Accept a paragraph number visitor.
      Specified by:
        `paragraphNumberAccept` in class `SAParagraphNumber`
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `Exception` - If the visitor raises an `Exception`

    - #### paragraphNumberFormat

          public String paragraphNumberFormat()

      Specified by:
        `paragraphNumberFormat` in class `SAParagraphNumber`
      Returns:
        A human-readable string representing the paragraph number (such as "1.2.3.4")

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 <code@io7m.com> http://io7m.com